//
// DONE
//
// RootViewSection.m
// WTFeedbackViewDemo   1.0
//
// Created by Wagner Truppel on 2009-10-08.
// Copyright 2009 Wagner Truppel (jrcapab@gmail.com). All rights reserved.
//
// Redistribution and use in binary and source forms, with or without
// modification, are permitted for any project, commercial or otherwise,
// provided that the following conditions are met:
//
// Redistributions in binary form must display the copyright notice in the
// About view, website, and/or documentation.
//
// Redistributions of source code must retain the copyright notice, this
// list of conditions, and the following disclaimer.
//
// THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THIS SOFTWARE.

#import "CustomLogging.h"
#import "RootViewSection.h"



// ========================================================================= //
                        #pragma mark private interface
// ========================================================================= //

@interface RootViewSection ()

@property (readwrite, nonatomic, retain) UILabel* staticStyleLabel;
@property (readwrite, nonatomic, retain) UILabel*       styleLabel;

@property (readwrite, nonatomic, retain) UILabel*  staticKindLabel;
@property (readwrite, nonatomic, retain) UILabel*        kindLabel;

@end

// ========================================================================= //



@implementation RootViewSection

// ========================================================================= //
                           #pragma mark properties
// ========================================================================= //

@synthesize staticStyleLabel;
@synthesize       styleLabel;

@synthesize  staticKindLabel;
@synthesize        kindLabel;

// ========================================================================= //
                            #pragma mark methods
// ========================================================================= //

- (void) awakeFromNib;
{
    BEGIN
    // WTLOG(@"RootViewSection: -awakeFromNib");

    self.backgroundColor = [UIColor groupTableViewBackgroundColor];

    staticStyleLabel.font = [UIFont     systemFontOfSize: 13];
          styleLabel.font = [UIFont boldSystemFontOfSize: 15];

     staticKindLabel.font = [UIFont     systemFontOfSize: 13];
           kindLabel.font = [UIFont boldSystemFontOfSize: 15];

    END
}

// ========================================================================= //

- (void) dealloc;
{
    BEGIN
    // WTLOG(@"RootViewSection: -dealloc");

    [staticStyleLabel release];
    [staticKindLabel  release];

    [styleLabel       release];
    [kindLabel        release];

    [super dealloc];

    END
}

// ========================================================================= //

@end
